accrue.analysis.pointer

## Class StmtRegistrar.CodeInfo

- java.lang.Object
- - accrue.analysis.pointer.StmtRegistrar.CodeInfo

- Enclosing class:
    StmtRegistrar

      public static class StmtRegistrar.CodeInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `polyglot.types.CodeInstance` | `codeInstance`
    `java.util.Map<polyglot.types.Type,ReferenceVariable>` | `exceptionRets`
    `java.util.List<ReferenceVariable>` | `formals`
    `ReferenceVariable` | `retValue`
    `ReferenceVariable` | `thisNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StmtRegistrar.CodeInfo(polyglot.types.CodeInstance codeInstance, ReferenceVariable thisNode, java.util.List<ReferenceVariable> formals, ReferenceVariable retValue, java.util.Map<polyglot.types.Type,ReferenceVariable> exceptionRets)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codeInstance

          public final polyglot.types.CodeInstance codeInstance

    - #### thisNode

          public final ReferenceVariable thisNode

    - #### formals

          public final java.util.List<ReferenceVariable> formals

    - #### retValue

          public final ReferenceVariable retValue

    - #### exceptionRets

          public final java.util.Map<polyglot.types.Type,ReferenceVariable> exceptionRets

  - ### Constructor Detail

    - #### StmtRegistrar.CodeInfo

          public StmtRegistrar.CodeInfo(polyglot.types.CodeInstance codeInstance,
                                ReferenceVariable thisNode,
                                java.util.List<ReferenceVariable> formals,
                                ReferenceVariable retValue,
                                java.util.Map<polyglot.types.Type,ReferenceVariable> exceptionRets)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`